edu.ucsb.nceas.metacat.lsid

## Class LSIDAuthorityMain

- java.lang.Object
- - com.ibm.lsid.server.impl.SimpleAuthority
  - - edu.ucsb.nceas.metacat.lsid.LSIDAuthorityMain

- All Implemented Interfaces:
    com.ibm.lsid.server.LSIDAuthorityService, com.ibm.lsid.server.LSIDService

      public class LSIDAuthorityMain
      extends com.ibm.lsid.server.impl.SimpleAuthority

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LSIDAuthorityMain()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.ibm.lsid.wsdl.LSIDDataPort[]` | `getDataLocations(com.ibm.lsid.LSID lsid, java.lang.String url)`
    `com.ibm.lsid.ExpiringResponse` | `getKnownURIs()`
    `com.ibm.lsid.wsdl.LSIDMetadataPort[]` | `getMetadataLocations(com.ibm.lsid.LSID lsid, java.lang.String url)`
    `void` | `initService(com.ibm.lsid.server.LSIDServiceConfig cf)`

    - ### Methods inherited from class com.ibm.lsid.server.impl.SimpleAuthority

      `getAvailableServices, getExpiration, notifyForeignAuthority, revokeNotificationForeignAuthority`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LSIDAuthorityMain

          public LSIDAuthorityMain()

  - ### Method Detail

    - #### initService

          public void initService(com.ibm.lsid.server.LSIDServiceConfig cf)
                           throws com.ibm.lsid.server.LSIDServerException

      Throws:
        `com.ibm.lsid.server.LSIDServerException`

    - #### getKnownURIs

          public com.ibm.lsid.ExpiringResponse getKnownURIs()
                                                     throws com.ibm.lsid.server.LSIDServerException

      Throws:
        `com.ibm.lsid.server.LSIDServerException`

    - #### getMetadataLocations

          public com.ibm.lsid.wsdl.LSIDMetadataPort[] getMetadataLocations(com.ibm.lsid.LSID lsid,
                                                                           java.lang.String url)

      Specified by:
        `getMetadataLocations` in class `com.ibm.lsid.server.impl.SimpleAuthority`

    - #### getDataLocations

          public com.ibm.lsid.wsdl.LSIDDataPort[] getDataLocations(com.ibm.lsid.LSID lsid,
                                                                   java.lang.String url)

      Specified by:
        `getDataLocations` in class `com.ibm.lsid.server.impl.SimpleAuthority`

Copyright © 2023 Regents of the University of California. All Rights Reserved.